# $Revision: 1.12 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	vhost_limit
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: vhost_limit limits
Summary(pl):	Modu do apache: limity pasma dla serwerw wirtualnych
Name:		apache1-mod_%{mod_name}
Version:	0.4
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://www.nowhere-land.org/programs/mod_vhost_limit/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	bae36a7174e184804b91356ef67d0b5d
URL:		http://www.nowhere-land.org/programs/mod_vhost_limit/
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Requires:	crondaemon
Requires:	procps
Obsoletes:	apache-mod_vhost_limit <= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is the module for Apache Web Server to restrict the number of
simultaneous connections per a virtual host.

%description -l pl
Ten pakiet zawiera modu dla serwera WWW Apache sucy do
ograniczania liczby jednoczesnych pocze dla serwerw wirtualnych.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 0.4-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc */*html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_vhost_limit.spec,v $
Revision 1.12  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.11  2006/04/14 17:15:51  glen
- use %service

Revision 1.10  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.9  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.8  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.7  2005/02/15 12:03:16  glen
- rel 2; STBR

Revision 1.6  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.5  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.4  2004/09/05 16:32:52  radek
- mv apache{,1}-*

Revision 1.3  2004/02/16 12:06:07  qboosh
- md5

Revision 1.2  2004/02/16 12:03:43  qboosh
- pl description

Revision 1.1  2004/02/13 16:19:25  arekm
- new
